//------------- アンカー位置調整
jQuery(window).on('load', function() {
  let targetHash = window.location.hash;
  
  if(targetHash.length && jQuery('[data-browse-mode="S"]').length) {
      // SPのみ実行
      setTimeout(function() {
        adjustScroll(targetHash);
      }, 800);
  }
});

function adjustScroll(select) {
  let anchor = jQuery(select).offset().top;
  let position = jQuery(window).scrollTop();
  let headerHeight = jQuery('.pane-header').outerHeight();
  
  anchor = (anchor - (headerHeight + 50));
  let diff = Math.abs(anchor - position);

  if (diff > 30) {
    jQuery("html, body").animate({
        scrollTop: anchor
    }, {
        duration: 10,
        easing: "swing",
        complete: function() {
            setTimeout(function() {
                adjustScroll(select);
            }, 800);
        }
    });
  }
}

